/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */
:root{
	--nero: #000000;
	--grigione: #333540;
	--grigino: #ebebeb;
	--bianco:#fff;
}
 
 
.grecaptcha-badge{visibility:hidden!important;}
.otgs-development-site-front-end{display:none!important}

#footer .elementor-element .ct-widget ul.widget-menu li a{color:var(--grigino);}
#footer .elementor-element .ct-widget ul.widget-menu li a:hover,#footer .elementor-element .ct-widget ul.widget-menu li a:focus{color:var(--bianco);}

.ct-related-posts .ct-module-title{text-transform:uppercase;}
.ct-related-posts .ct-related-posts-items .related-entry-title{text-transform:uppercase;}
.dialog-widget.elementor-lightbox .dialog-widget-content .elementor-slideshow__title{display:none!important;}
.dialog-widget.elementor-lightbox .swiper .elementor-swiper-button svg{width:2em;height:2em;}
.site-main .ct-container .entry-card>.ct-media-container{z-index:1!important}
.site-main .ct-container .entry-card>.entry-title{z-index:2!important;opacity:0;transition: opacity .25s ease-in-out;  -moz-transition: opacity .25s ease-in-out;  -webkit-transition: opacity .25s ease-in-out;}
.site-main .ct-container .entry-card>.ct-media-container:after{background-color:var(--grigione);opacity:0;transition: opacity .25s ease-in-out;  -moz-transition: opacity .25s ease-in-out;  -webkit-transition: opacity .25s ease-in-out;}
.site-main .ct-container .entry-card:hover>.entry-title{opacity:1;}
.site-main .ct-container .entry-card:hover>.ct-media-container:after{opacity:0.7;}
body.tax-pikart-project-category .site-main .ct-container .ct-pagination .ct-load-more-helper .ct-last-page-text{color:var(--bianco);}
body.tax-pikart-project-category .site-main .ct-container,body.single-pikart-project .site-main .ct-container-full{padding:40px 0 80px 0!important;}

.e-gallery-masonry .e-gallery-item:has(.elementor-gallery-item__content){padding-bottom:20px;}
.e-gallery-masonry .e-gallery-item .elementor-gallery-item__content{padding:0!important;bottom:0!important;top:auto!important;}
.e-gallery-masonry .e-gallery-item .elementor-gallery-item__content > *{opacity:1!important;font-size:12px!important;font-weight:400!important;text-align:left!important;color:var(--nero)!important;}

.dialog-type-lightbox{background-color:rgba(255,255,255,0.9)!important;}
.elementor-lightbox .dialog-lightbox-close-button, .elementor-lightbox .elementor-swiper-button{color:var(--nero)!important;}
.elementor-lightbox .dialog-lightbox-close-button svg, 
.elementor-lightbox .elementor-swiper-button svg,
.elementor-lightbox .swiper .elementor-swiper-button svg, 
.elementor-lightbox .elementor-slideshow__header>svg,
.elementor-lightbox .swiper~.elementor-swiper-button svg{fill:var(--nero)!important;}
.elementor-lightbox .swiper .swiper-pagination-fraction{color:var(--nero)!important;}
.elementor-slideshow--zoom-mode .elementor-slideshow__footer, .elementor-slideshow--zoom-mode .elementor-slideshow__header{background-color:rgba(255,255,255,0.5)!important;}



/*** header ***/
/*.ct-header .ct-sticky-container div[data-sticky*="yes"] .site-branding[data-id="logo"] img,
.ct-header .ct-sticky-container div[data-sticky*="yes"] .site-branding[data-id="logo"] svg{
	max-height:40px;
}

[data-header*="type-1"] .ct-header [data-id="menu"] .sub-menu .ct-menu-link{font-size:16px!important;}
[data-header*="type-1"] .ct-header [data-id="menu"] .sub-menu >li{padding:20px!important;}


[data-header*="type-1"] .ct-header [data-id="menu"] .sub-menu >li {
    padding: 5px 10px !important;
}


.ct-sidebar .ct-widget.widget_search .wp-element-button{color:var(--nero);}
.ct-sidebar .ct-widget.widget_search input[type=search]{color:var(--nero);}
.ct-sidebar .ct-widget ul{list-style-type: square;padding-inline-start: 20px;}
.ct-sidebar .ct-widget ul li{margin-bottom:10px;}
*/

/*** ht slider ***/
.htslider-slider .slick-dots{bottom:20px!important;}
.htslider-slider .slick-dots li{margin:0 10px!important;}
.htslider-slider .slick-dots li button{line-height: 20px!important;width: 20px!important; height: 20px!important;cursor:pointer!important;}
.htslider-slider .slick-track{display: flex !important;}
.htslider-slider .slick-track > .slick-slide{height: inherit !important;display: flex !important; width:100%;}
.htslider-slider .slick-track > .slick-slide > div{height: inherit !important;display: flex !important;width:100%;}
.htslider-slider .slick-track > .slick-slide > div > div{height: inherit !important;}



/*** hover box ***/
.elementor-element.ct-iconbox:hover .elementor-icon-box-wrapper .elementor-icon-box-icon .elementor-icon{
	fill: var(--bianco)!important;
    color: var(--bianco)!important;
    border-color: var(--bianco)!important;
}

.elementor-element.ct-iconbox:hover .elementor-icon-box-wrapper .elementor-icon-box-content > *{
	 color: var(--bianco)!important;
}


/*** contact form 7 ***/
.wpcf7-form input[type="submit"]{
	padding:5px 40px;
	font-size:14px;
	letter-spacing:1px;
	text-transform:uppercase;
	margin-top:20px;
	border-radius:0;
}

.wpcf7-form .row{
	display:flex;
	-ms-flex-direction: column;
	flex-direction: column;
	-webkit-box-align: start;
	-ms-flex-align: start;
	align-items: flex-start;
	flex-wrap: nowrap;
	gap:10px;
}

.wpcf7-form .row .col1,
.wpcf7-form .row .col2,
.wpcf7-form .row .col3,
.wpcf7-form .row .six,
.wpcf7-form .row .twelve{
	-ms-flex: 1 100%;
	flex: 1 100%;
	width: 100%;
	padding:0;
}

.wpcf7-form .row .col1.centered{
	padding-top:0;
	padding-bottom:0;
}
.wpcf7-form .row .col1.centered,
.wpcf7-form .row .col1.centered > p{
	display:flex;
	align-items: center;
	-ms-flex-direction: column;
	flex-direction: column;
	flex-wrap: nowrap;
}

.wpcf7-spinner{
	margin:10px!important;
}

.wpcf7 label,.wpcf7 input[type="text"],.wpcf7 input[type="email"],.wpcf7 input[type="tel"],.wpcf7 textarea,.wpcf7 select{
	width:100%;
	position:relative;
	margin:0 0 5px 0;
	color:var(--nero);
	border-color:var(--grigione);
}

.wpcf7 label.hidden,.wpcf7 label.hidden:not(.wpcf7-form-control-wrap){
	display:none!important;
}

.wpcf7 textarea{
	height:120px;
}

.wpcf7 label,.wpcf7 label:not(.wpcf7-form-control-wrap){
	margin-bottom:10px;
	font-size:18px;
}

.wpcf7 .wpcf7-response-output{
	border:0!important;
	text-align:left!important;
	margin:20px 0!important;
	padding:0!important;
	position:relative;
	float:left;
	width:100%;
	text-align:center!important;
	color:var(--nero);
}

.wpcf7 form.invalid .wpcf7-response-output, 
.wpcf7 form.unaccepted .wpcf7-response-output,
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output,
.wpcf7 form.payment-required .wpcf7-response-output{
	color:#dc3232!important; /* Red */
}

.wpcf7 form.spam .wpcf7-response-output {
	color: #f56e28!important; /* Orange */
}

.wpcf7 form.valid .wpcf7-response-output, 
.wpcf7 form.success .wpcf7-response-output, 
.wpcf7 form.sent .wpcf7-response-output{
	color:#46b450!important; /* Green */
}

.wpcf7 .privacy_checklist {
	position: relative;
	float: left;
	width:100%;
	padding:0;
	margin:5px 0;
}


.wpcf7 .privacy_checklist span.wpcf7-list-item{
	margin: 0;
}

.wpcf7-form p{margin-bottom:0!important;}
.wpcf7-form p{margin-bottom:0!important;}

.wpcf7-form p > a, .wpcf7-form .wpcf7-list-item-label > a{
	font-weight:bold;
	text-decoration:underline;
}



.wpcf7-form p > a:hover,.wpcf7-form .wpcf7-list-item-label > a:hover{
	cursor:pointer;
	text-decoration:none;
}


.wpcf7 .privacy_checklist.invisible{
	display:none;
}

.wpcf7 .privacy_checklist ul{
	list-style:none;
	padding: 10px;
}

.wpcf7 .privacy_checklist ul li{
	margin:10px 0;
}

.wpcf7 .privacy_checklist ul li label{
	margin:0;
	font-size:14px;
	font-weight:400;
}



.wpcf7 form .wpcf7-form-control.wpcf7-acceptance span.wpcf7-list-item label,
.wpcf7 form .wpcf7-form-control.wpcf7-acceptance span.wpcf7-list-item label:not(.wpcf7-form-control-wrap){
	margin-bottom:5px;
}

.wpcf7 .privacy_checklist ul li label{
	display: flex;
	-ms-flex-direction: row;
	flex-direction: row;
	align-items: flex-start;
    justify-content: flex-start;
}

.wpcf7 form .wpcf7-form-control.wpcf7-acceptance input[type="checkbox"],
.wpcf7 .privacy_checklist ul li label input[type="checkbox"]{
	margin:5px 10px 5px 5px;
}


.darkMode .wpcf7 form label:not(.wpcf7-form-control-wrap){color:var(--bianco);}
.darkMode .wpcf7 form label, .darkMode .wpcf7 form input[type="text"], 
.darkMode .wpcf7 form input[type="email"], .darkMode .wpcf7 form input[type="tel"], 
.darkMode .wpcf7 form textarea,.darkMode  .wpcf7 form select{color:var(--bianco);border-color:var(--bianco);}
.darkMode .wpcf7 form p{color:var(--bianco);}
.darkMode .wpcf7 form p a{color:var(--bianco);text-decoration:uniderline;}
.darkMode .wpcf7 form p a:hover,.darkMode .wpcf7 form p a:focus{color:var(--bianco);text-decoration:none;}
.darkMode .wpcf7 form .wpcf7-response-output{color:var(--bianco);}

/*** media queries ***/
@media only screen and (min-width: 768px){
	
	.wpcf7-form .row{
		-ms-flex-direction: row;
		flex-direction: row;
	}
	
	.wpcf7-form .row .col2,
	.wpcf7-form .row .six{
		-ms-flex: 1 50%;
		flex: 1 50%;
		max-width: 50%;
	}
	
	.wpcf7-form .row .col3{
		-ms-flex: 1 33.33%;
		flex: 1 33.33%;
		max-width:33%;
	}
	
}

